# Limita funkce a spojitost

### Spojistost funkce

- spojité funkce umíme načrtnout jedním tahem
- příklad
	- spojité procesy (růst člověka)
	- nespojité procesy (bankovní účet)

### Definice

Funkce $f$ je

| typ spojitosti                 | podmínka                                                   | 
| ------------------------------ | ---------------------------------------------------------- |
| spojitá v $x_0 \in D_f$        | pokud $\displaystyle f(x_{0}) = \lim_{ x \to x_{0} } f(x)$ |
| spojitá zprava v $x_0 \in D_f$ | pokud $\displaystyle f(x_{0}) = f(x_{0}+)$                 |
| spojitá zleva v $x_0 \in D_f$  | pokud $\displaystyle f(x_{0}) = f(x_{0}-)$                 |

### Body nespojitosti

Tři druhy bodů nespojitosti:
- **ON** - odstranitelná nespojitost
	- pokud $\displaystyle f(x_{0}) \neq \lim_{ x \to x_{0} } f(x) \in \mathbb{R}$
		- limita zprava i zleva je stejná - $f(x_{0}+) = f(x_{0}-)$
	- funkční hodnota v $x_0$ se nerovná limitě v $x_0$, která je vlastní
- **NN1D** - neodstranitelné nespojitost 1. druhu
	- pokud $f(x_{0}+), f(x_{0}-) \in \mathbb{R}$, ale $f(x_{0}+) \neq f(x_{0}-)$
	- limita zprava i zleva je vlastní, ale nerovnají se
	- nazývá se také **skoková nespojitost** se skokem $s$
- **NN2D** - neodstranitelná nespojitost 2. druhu
	- neexistuje alespoň jedna vlastní limita $f(x_{0}+)$ nebo $f(x_{0}-)$
		- alespoň jedna neexistuje nebo není alespoň jedna vlastní